Security Announcements

 
 
My ugly mug
MSA-13-0007: Potential exploit in messaging
 
Description: The messaging system was not checking the user's session correctly when messages are sent.
Issue summary:

Course message sending can be exploited by CSRF

Severity/Risk: Minor
Versions affected: 2.4, 2.3 to 2.3.3+, 2.2 to 2.2.6+
Reported by: Andrew Nicols
Issue no.: MDL-36600

CVE identifier:

CVE-2012-6103
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-36600